Bug 854665 - Coordinator tries to install new view after graceful shutdown
Coordinator tries to install new view after graceful shutdown
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low
: DR2
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 09:54 EDT by Tristan Tarrant
Modified: 2014-03-24 21:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Data Grid, when gracefully stopping a coordinator node, the node itself would log an attempt to install a new clustering view which would fail. This is harmless, since the new coordinator would in fact perform the proper view installation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2186 Minor Resolved Coordinator tries to install new view after graceful shutdown 2015-10-19 03:35 EDT

  None (edit)
Description Tristan Tarrant 2012-09-05 09:54:28 EDT

    
Comment 1 JBoss JIRA Server 2012-09-07 05:36:59 EDT
Michal Abaffy <mabaffy@redhat.com> updated the status of jira ISPN-2186 to Reopened
Comment 2 JBoss JIRA Server 2012-09-07 05:36:59 EDT
Michal Abaffy <mabaffy@redhat.com> made a comment on jira ISPN-2186

I have run benchmark elasticity 2-4 test with radargun on my localhost with infinispan-core:5.1.7-Final-redhat-1 several times and the problem seems to still be there. 
Example log:
11:25:13,355 WARN  [org.infinispan.transaction.TransactionTable] (pool-1-thread-1) ISPN000100: Stopping, but there are 5 local transactions and 0 remote transactions that did not finish in time.
11:25:13,363 DEBUG [org.infinispan.cacheviews.CacheViewsManagerImpl] (CacheViewInstaller-1,mabaffy-14775) Installing new view CacheView{viewId=8, members=[mabaffy-5803, mabaffy-30789]} for cache x
11:25:13,371 DEBUG [org.infinispan.cacheviews.CacheViewsManagerImpl] (CacheViewInstaller-1,mabaffy-14775) Cache x view CacheView{viewId=8, members=[mabaffy-5803, mabaffy-30789]} installation was interrupted because the coordinator is shutting down
Comment 3 Michal Abaffy 2012-09-12 05:20:21 EDT
I have run this test also on jenkins machines, so you could see whole logs and configuration of test.

See Build Artifacts->report->stdout.zip->slave2.log and time 05:09:35 in https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EDG6/view/EDG-REPORTS-PERF/job/jdg60-benchmark-elasticity-02-04-radargun/2/

That warning is also in slave4.log and is missing in slave1 and slave3
Comment 4 JBoss JIRA Server 2012-09-12 05:42:21 EDT
Dan Berindei <dberinde@redhat.com> made a comment on jira ISPN-2186

I see, I misread the description of the bug a bit.

I fixed the part where the cache view installation commands from the old coordinator reach the new coordinator and break the new coordinator's cache view installation (potentially making it hang). I did not fix the old coordinator attempting to install a new cache view, because CacheViewsManagerImpl only finds out about the shutdown after all the local caches have been already stopped.
Comment 5 JBoss JIRA Server 2012-09-12 05:48:55 EDT
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-2186 to Resolved
Comment 6 JBoss JIRA Server 2012-09-12 05:48:55 EDT
Dan Berindei <dberinde@redhat.com> made a comment on jira ISPN-2186

A proper fix would require the global components to know that they will be stopped before we start shutting down the caches. But I don't think it's worth doing it just to avoid a DEBUG log message.

We should instead focus on adding a method to gracefully shut down the entire cluster: ISPN-1239
Comment 7 mark yarborough 2012-09-12 09:07:14 EDT
Not a regression and does not affect data integrity. Setting severity to LOW and moving to 6.1.
Comment 10 Misha H. Ali 2013-05-06 23:43:21 EDT
Set flag to nominate this bug for 6.2 release notes.

Note You need to log in before you can comment on or make changes to this bug.